"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.destination = void 0;
const tslib_1 = require("tslib");
const shim_1 = require("@segment/browser-destination-runtime/shim");
const throttle_1 = tslib_1.__importDefault(require("./throttle"));
exports.destination = {
    name: 'Segment Utilities Web',
    slug: 'actions-segment-utilities-web',
    mode: 'device',
    settings: {
        throttleWindow: {
            label: 'Throttle time',
            description: 'The window of time in milliseconds to throttle events.',
            type: 'number',
            default: 3000
        },
        passThroughCount: {
            label: 'Number of events to pass through',
            description: 'Number of events to pass through while waiting for the throttle time to expire.',
            type: 'number',
            default: 1
        }
    },
    initialize: async () => {
        return {
            eventMap: {}
        };
    },
    actions: {
        throttle: throttle_1.default
    }
};
exports.default = shim_1.browserDestination(exports.destination);
//# sourceMappingURL=index.js.map